<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: edma3_common.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
    </ul>
  </div>
<h1>edma3_common.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * edma3_common.h</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * EDMA3 common header providing generic defines/typedefs and debugging info.</span>
<a name="l00005"></a>00005 <span class="comment"> *</span>
<a name="l00006"></a>00006 <span class="comment"> * Copyright (C) 2009 Texas Instruments Incorporated - http://www.ti.com/</span>
<a name="l00007"></a>00007 <span class="comment"> *</span>
<a name="l00008"></a>00008 <span class="comment"> *</span>
<a name="l00009"></a>00009 <span class="comment"> *  Redistribution and use in source and binary forms, with or without</span>
<a name="l00010"></a>00010 <span class="comment"> *  modification, are permitted provided that the following conditions</span>
<a name="l00011"></a>00011 <span class="comment"> *  are met:</span>
<a name="l00012"></a>00012 <span class="comment"> *</span>
<a name="l00013"></a>00013 <span class="comment"> *    Redistributions of source code must retain the above copyright</span>
<a name="l00014"></a>00014 <span class="comment"> *    notice, this list of conditions and the following disclaimer.</span>
<a name="l00015"></a>00015 <span class="comment"> *</span>
<a name="l00016"></a>00016 <span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span>
<a name="l00017"></a>00017 <span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span>
<a name="l00018"></a>00018 <span class="comment"> *    documentation and/or other materials provided with the</span>
<a name="l00019"></a>00019 <span class="comment"> *    distribution.</span>
<a name="l00020"></a>00020 <span class="comment"> *</span>
<a name="l00021"></a>00021 <span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span>
<a name="l00022"></a>00022 <span class="comment"> *    its contributors may be used to endorse or promote products derived</span>
<a name="l00023"></a>00023 <span class="comment"> *    from this software without specific prior written permission.</span>
<a name="l00024"></a>00024 <span class="comment"> *</span>
<a name="l00025"></a>00025 <span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span>
<a name="l00026"></a>00026 <span class="comment"> *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span>
<a name="l00027"></a>00027 <span class="comment"> *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span>
<a name="l00028"></a>00028 <span class="comment"> *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span>
<a name="l00029"></a>00029 <span class="comment"> *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span>
<a name="l00030"></a>00030 <span class="comment"> *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span>
<a name="l00031"></a>00031 <span class="comment"> *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span>
<a name="l00032"></a>00032 <span class="comment"> *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span>
<a name="l00033"></a>00033 <span class="comment"> *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span>
<a name="l00034"></a>00034 <span class="comment"> *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span>
<a name="l00035"></a>00035 <span class="comment"> *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span>
<a name="l00036"></a>00036 <span class="comment"> *</span>
<a name="l00037"></a>00037 <span class="comment">*/</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="preprocessor">#ifndef _EDMA3_COMMON_H_</span>
<a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">#define _EDMA3_COMMON_H_</span>
<a name="l00041"></a>00041 <span class="preprocessor"></span>
<a name="l00042"></a>00042 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00043"></a>00043 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00044"></a>00044 <span class="preprocessor">#endif</span>
<a name="l00045"></a>00045 <span class="preprocessor"></span>
<a name="l00046"></a>00046 
<a name="l00048"></a>00048 <span class="preprocessor">#define EDMA3_RM_DEBUG</span>
<a name="l00049"></a>00049 <span class="preprocessor"></span><span class="preprocessor">#undef EDMA3_RM_DEBUG</span>
<a name="l00050"></a>00050 <span class="preprocessor"></span>
<a name="l00052"></a>00052 <span class="preprocessor">#define EDMA3_DRV_DEBUG</span>
<a name="l00053"></a>00053 <span class="preprocessor"></span><span class="preprocessor">#undef EDMA3_DRV_DEBUG</span>
<a name="l00054"></a>00054 <span class="preprocessor"></span>
<a name="l00055"></a>00055 
<a name="l00057"></a>00057 <span class="preprocessor">#ifdef EDMA3_RM_DEBUG</span>
<a name="l00058"></a>00058 <span class="preprocessor"></span><span class="preprocessor">#include &lt;stdio.h&gt;</span>
<a name="l00059"></a>00059 <span class="preprocessor">#define EDMA3_RM_PRINTF printf</span>
<a name="l00060"></a>00060 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00061"></a>00061 <span class="preprocessor"></span>
<a name="l00063"></a>00063 <span class="preprocessor">#ifdef EDMA3_DRV_DEBUG</span>
<a name="l00064"></a>00064 <span class="preprocessor"></span><span class="preprocessor">#include &lt;stdio.h&gt;</span>
<a name="l00065"></a>00065 <span class="preprocessor">#define EDMA3_DRV_PRINTF printf</span>
<a name="l00066"></a>00066 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00067"></a>00067 <span class="preprocessor"></span>
<a name="l00068"></a>00068 
<a name="l00070"></a>00070 <span class="preprocessor">#ifndef TRUE</span>
<a name="l00071"></a>00071 <span class="preprocessor"></span>
<a name="l00072"></a>00072 <span class="preprocessor">  #define TRUE  (1u)</span>
<a name="l00073"></a>00073 <span class="preprocessor"></span>
<a name="l00074"></a>00074 <span class="preprocessor">  #define FALSE (0u)</span>
<a name="l00075"></a>00075 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00076"></a>00076 <span class="preprocessor"></span>
<a name="l00077"></a>00077 
<a name="l00079"></a>00079 <span class="preprocessor">#ifndef NULL</span>
<a name="l00080"></a>00080 <span class="preprocessor"></span><span class="preprocessor">#define NULL 0u</span>
<a name="l00081"></a>00081 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00082"></a>00082 <span class="preprocessor"></span>
<a name="l00083"></a>00083 
<a name="l00085"></a>00085 <span class="keyword">typedef</span> <span class="keywordtype">int</span>             EDMA3_RM_Result;
<a name="l00087"></a>00087 <span class="keyword">typedef</span> <span class="keywordtype">int</span>             EDMA3_DRV_Result;
<a name="l00088"></a>00088 
<a name="l00089"></a>00089 
<a name="l00091"></a>00091 <span class="preprocessor">#define EDMA3_RM_SOK             (0u)</span>
<a name="l00092"></a>00092 <span class="preprocessor"></span>
<a name="l00093"></a>00093 <span class="preprocessor">#define EDMA3_DRV_SOK            (0u)</span>
<a name="l00094"></a>00094 <span class="preprocessor"></span>
<a name="l00095"></a>00095 
<a name="l00101"></a>00101 <span class="keyword">typedef</span> <span class="keywordtype">void</span>    *EDMA3_RM_Handle;
<a name="l00107"></a>00107 <span class="keyword">typedef</span> <span class="keywordtype">void</span>    *EDMA3_DRV_Handle;
<a name="l00108"></a>00108 
<a name="l00109"></a>00109 
<a name="l00115"></a>00115 <span class="keyword">typedef</span> <span class="keywordtype">void</span>    *EDMA3_OS_Sem_Handle;
<a name="l00116"></a>00116 
<a name="l00118"></a>00118 <span class="preprocessor">#define EDMA3_OSSEM_NO_TIMEOUT    (-1)</span>
<a name="l00119"></a>00119 <span class="preprocessor"></span>
<a name="l00120"></a>00120 
<a name="l00128"></a>00128 <span class="preprocessor">#define EDMA3_MAX_EDMA3_INSTANCES               (2u)</span>
<a name="l00129"></a>00129 <span class="preprocessor"></span>
<a name="l00130"></a>00130 <span class="preprocessor">#define EDMA3_MAX_DMA_CH                        (64u)</span>
<a name="l00131"></a>00131 <span class="preprocessor"></span>
<a name="l00132"></a>00132 <span class="preprocessor">#define EDMA3_MAX_QDMA_CH                       (8u)</span>
<a name="l00133"></a>00133 <span class="preprocessor"></span>
<a name="l00134"></a>00134 <span class="preprocessor">#define EDMA3_MAX_PARAM_SETS                    (512u)</span>
<a name="l00135"></a>00135 <span class="preprocessor"></span>
<a name="l00136"></a>00136 <span class="preprocessor">#define EDMA3_MAX_LOGICAL_CH                    (EDMA3_MAX_DMA_CH + \</span>
<a name="l00137"></a>00137 <span class="preprocessor">                                                 EDMA3_MAX_PARAM_SETS + \</span>
<a name="l00138"></a>00138 <span class="preprocessor">                                                 EDMA3_MAX_QDMA_CH)</span>
<a name="l00139"></a>00139 <span class="preprocessor"></span>
<a name="l00140"></a>00140 <span class="preprocessor">#define EDMA3_MAX_TCC                           (64u)</span>
<a name="l00141"></a>00141 <span class="preprocessor"></span>
<a name="l00142"></a>00142 <span class="preprocessor">#define EDMA3_MAX_EVT_QUE                       (8u)</span>
<a name="l00143"></a>00143 <span class="preprocessor"></span>
<a name="l00144"></a>00144 <span class="preprocessor">#define EDMA3_MAX_TC                            (8u)</span>
<a name="l00145"></a>00145 <span class="preprocessor"></span>
<a name="l00146"></a>00146 <span class="preprocessor">#define EDMA3_MAX_REGIONS                       (8u)</span>
<a name="l00147"></a>00147 <span class="preprocessor"></span>
<a name="l00152"></a>00152 <span class="preprocessor">#define EDMA3_MAX_DMA_CHAN_DWRDS                (EDMA3_MAX_DMA_CH / 32u)</span>
<a name="l00153"></a>00153 <span class="preprocessor"></span>
<a name="l00158"></a>00158 <span class="preprocessor">#define EDMA3_MAX_QDMA_CHAN_DWRDS               (1u)</span>
<a name="l00159"></a>00159 <span class="preprocessor"></span>
<a name="l00164"></a>00164 <span class="preprocessor">#define EDMA3_MAX_PARAM_DWRDS                   (EDMA3_MAX_PARAM_SETS / 32u)</span>
<a name="l00165"></a>00165 <span class="preprocessor"></span>
<a name="l00170"></a>00170 <span class="preprocessor">#define EDMA3_MAX_TCC_DWRDS                     (EDMA3_MAX_TCC / 32u)</span>
<a name="l00171"></a>00171 <span class="preprocessor"></span>
<a name="l00172"></a>00172 
<a name="l00173"></a>00173 
<a name="l00181"></a>00181 <span class="keyword">extern</span> <span class="keywordtype">void</span> lisrEdma3ComplHandler0 (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> arg);
<a name="l00182"></a>00182 
<a name="l00184"></a>00184 <span class="keyword">extern</span> <span class="keywordtype">void</span> lisrEdma3CCErrHandler0 (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> arg);
<a name="l00185"></a>00185 
<a name="l00187"></a>00187 <span class="keyword">extern</span> <span class="keywordtype">void</span> lisrEdma3TC0ErrHandler0(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> arg);
<a name="l00189"></a>00189 <span class="keyword">extern</span> <span class="keywordtype">void</span> lisrEdma3TC1ErrHandler0(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> arg);
<a name="l00191"></a>00191 <span class="keyword">extern</span> <span class="keywordtype">void</span> lisrEdma3TC2ErrHandler0(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> arg);
<a name="l00193"></a>00193 <span class="keyword">extern</span> <span class="keywordtype">void</span> lisrEdma3TC3ErrHandler0(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> arg);
<a name="l00195"></a>00195 <span class="keyword">extern</span> <span class="keywordtype">void</span> lisrEdma3TC4ErrHandler0(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> arg);
<a name="l00197"></a>00197 <span class="keyword">extern</span> <span class="keywordtype">void</span> lisrEdma3TC5ErrHandler0(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> arg);
<a name="l00199"></a>00199 <span class="keyword">extern</span> <span class="keywordtype">void</span> lisrEdma3TC6ErrHandler0(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> arg);
<a name="l00201"></a>00201 <span class="keyword">extern</span> <span class="keywordtype">void</span> lisrEdma3TC7ErrHandler0(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> arg);
<a name="l00202"></a>00202 
<a name="l00203"></a>00203 
<a name="l00204"></a>00204 
<a name="l00211"></a>00211 <span class="preprocessor">#define EDMA3_OS_PROTECT_INTERRUPT                          1</span>
<a name="l00212"></a>00212 <span class="preprocessor"></span>
<a name="l00213"></a>00213 <span class="preprocessor">#define EDMA3_OS_PROTECT_SCHEDULER                          2</span>
<a name="l00214"></a>00214 <span class="preprocessor"></span>
<a name="l00215"></a>00215 <span class="preprocessor">#define EDMA3_OS_PROTECT_INTERRUPT_XFER_COMPLETION          3</span>
<a name="l00216"></a>00216 <span class="preprocessor"></span>
<a name="l00217"></a>00217 <span class="preprocessor">#define EDMA3_OS_PROTECT_INTERRUPT_CC_ERROR                 4</span>
<a name="l00218"></a>00218 <span class="preprocessor"></span>
<a name="l00219"></a>00219 <span class="preprocessor">#define EDMA3_OS_PROTECT_INTERRUPT_TC_ERROR                 5</span>
<a name="l00220"></a>00220 <span class="preprocessor"></span>
<a name="l00221"></a>00221 
<a name="l00222"></a>00222 
<a name="l00277"></a>00277 <span class="keyword">extern</span> <span class="keywordtype">void</span> edma3OsProtectEntry (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> edma3InstanceId,
<a name="l00278"></a>00278                                         <span class="keywordtype">int</span> level, 
<a name="l00279"></a>00279                                         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> *intState);
<a name="l00280"></a>00280 
<a name="l00281"></a>00281 
<a name="l00302"></a>00302 <span class="keyword">extern</span> <span class="keywordtype">void</span> edma3OsProtectExit (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> edma3InstanceId,
<a name="l00303"></a>00303                                         <span class="keywordtype">int</span> level, 
<a name="l00304"></a>00304                                         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> intState);
<a name="l00305"></a>00305 
<a name="l00306"></a>00306 
<a name="l00330"></a>00330 <span class="keyword">extern</span> EDMA3_DRV_Result edma3OsSemTake (EDMA3_OS_Sem_Handle hSem,
<a name="l00331"></a>00331                                         <span class="keywordtype">int</span> mSecTimeout);
<a name="l00332"></a>00332 
<a name="l00343"></a>00343 <span class="keyword">extern</span> EDMA3_DRV_Result edma3OsSemGive(EDMA3_OS_Sem_Handle hSem);
<a name="l00344"></a>00344 
<a name="l00345"></a>00345 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00346"></a>00346 <span class="preprocessor"></span>}
<a name="l00347"></a>00347 <span class="preprocessor">#endif </span><span class="comment">/* extern "C" */</span>
<a name="l00348"></a>00348 
<a name="l00349"></a>00349 <span class="preprocessor">#endif  </span><span class="comment">/* _EDMA3_COMMON_H_ */</span>
<a name="l00350"></a>00350 
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:47 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
